# Class GetOffersReply

#### Hierarchy

- unknown
  - GetOffersReply

- Defined in src/protobuf/grpc_pb.d.ts:1444
- Defined in src/protobuf/grpc_pb.d.ts:1458

#####
Index

### Constructors

constructor

### Methods

addOffers
clearOffersList
getOffersList
serializeBinary
setOffersList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetOffersReply(): GetOffersReply

- #### Returns GetOffersReply

  Inherited from jspb.Message.constructor

## Methods

### addOffers

- addOffers(value?: OfferInfo, index?: number): OfferInfo

- #### Parameters

  - ##### `Optional` value: OfferInfo

  - ##### `Optional` index: number

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1448

### clearOffersList

- clearOffersList(): GetOffersReply

- #### Returns GetOffersReply

  - Defined in src/protobuf/grpc_pb.d.ts:1447

### getOffersList

- getOffersList(): OfferInfo[]

- #### Returns OfferInfo[]

  - Defined in src/protobuf/grpc_pb.d.ts:1445

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1450

### setOffersList

- setOffersList(value: OfferInfo[]): GetOffersReply

- #### Parameters

  - ##### value: OfferInfo[]

  #### Returns GetOffersReply

  - Defined in src/protobuf/grpc_pb.d.ts:1446

### toObject

- toObject(includeInstance?: boolean): GetOffersReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetOffersReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1451

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetOffersReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetOffersReply

  - Defined in src/protobuf/grpc_pb.d.ts:1454

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetOffersReply, reader: BinaryReader): GetOffersReply

- #### Parameters

  - ##### message: GetOffersReply

  - ##### reader: BinaryReader

  #### Returns GetOffersReply

  - Defined in src/protobuf/grpc_pb.d.ts:1455

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetOffersReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetOffersReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1453

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetOffersReply): GetOffersReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetOffersReply

  #### Returns GetOffersReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1452

Generated using TypeDoc